## waffle 0.3

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations in R
Version: 0.3
Date: 2015-03-20
Author: Bob Rudis <bob@rudis.net>
Maintainer: Bob Rudis <bob@rudis.net>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts.
URL: http://github.com/hrbrmstr/waffle
BugReports: https://github.com/hrbrmstr/waffle/issues
Suggests: testthat
Depends: R (>= 3.0.0), ggplot2
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable
Packaged: 2015-03-21 18:40:12 UTC; bob
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-22 08:07:57

## waffle 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: waffle
 Type: Package
 Title: Create Waffle Chart Visualizations in R
-Version: 0.3
+Version: 0.3.1
 Date: 2015-03-20
 Author: Bob Rudis <bob@rudis.net>
 Maintainer: Bob Rudis <bob@rudis.net>
@@ -15,10 +15,10 @@
 URL: http://github.com/hrbrmstr/waffle
 BugReports: https://github.com/hrbrmstr/waffle/issues
 Suggests: testthat
-Depends: R (>= 3.0.0), ggplot2
+Depends: R (>= 3.1.0), ggplot2
 License: GPL (>= 2)
 Imports: RColorBrewer, grid, gridExtra, gtable
-Packaged: 2015-03-21 18:40:12 UTC; bob
+Packaged: 2015-03-23 14:56:12 UTC; bob
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2015-03-22 08:07:57
+Date/Publication: 2015-03-23 16:29:54

## waffle 0.5.0

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations in R
Version: 0.5.0
Date: 2015-12-14
Author: Bob Rudis <bob@rudis.net>
Maintainer: Bob Rudis <bob@rudis.net>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts. Tools are provided
    to create waffle charts as well as stitch them together, and to use glyphs
    for isotype pictogram creation.
URL: https://github.com/hrbrmstr/waffle/tree/cran
BugReports: https://github.com/hrbrmstr/waffle/issues
Suggests: testthat
Depends: R (>= 3.1.0), ggplot2 (>= 1.0.1)
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable, extrafont
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-14 17:37:43 UTC; bob
Repository: CRAN
Date/Publication: 2015-12-15 16:55:50

## waffle 0.6.0

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations in R
Version: 0.6.0
Date: 2016-09-18
Author: Bob Rudis <bob@rud.is>, Dave Gandy (FontAwesome)
Maintainer: Bob Rudis <bob@rud.is>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts. Tools are provided
    to create waffle charts as well as stitch them together, and to use glyphs
    for making isotype pictograms.
URL: https://github.com/hrbrmstr/waffle/tree/cran
BugReports: https://github.com/hrbrmstr/waffle/issues
Suggests: testthat
Depends: R (>= 3.1.0), ggplot2 (>= 1.0.1)
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable, extrafont
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-18 14:44:23 UTC; bob
Repository: CRAN
Date/Publication: 2016-09-18 17:43:46

## waffle 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Package: waffle
 Type: Package
 Title: Create Waffle Chart Visualizations in R
-Version: 0.6.0
-Date: 2016-09-18
-Author: Bob Rudis <bob@rud.is>, Dave Gandy (FontAwesome)
+Version: 0.7.0
+Date: 2017-01-07
+Authors@R: c(
+      person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre")),
+      person("Dave", "Gandy", role = "aut", comment = "Font Awesome")
+    )
 Maintainer: Bob Rudis <bob@rud.is>
 Description: Square pie charts (a.k.a. waffle charts) can be used
     to communicate parts of a whole for categorical quantities. To emulate the
@@ -17,11 +20,13 @@
 URL: https://github.com/hrbrmstr/waffle/tree/cran
 BugReports: https://github.com/hrbrmstr/waffle/issues
 Suggests: testthat
-Depends: R (>= 3.1.0), ggplot2 (>= 1.0.1)
+Depends: R (>= 3.2.0), ggplot2 (>= 2.0.0)
 License: GPL (>= 2)
 Imports: RColorBrewer, grid, gridExtra, gtable, extrafont
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-09-18 14:44:23 UTC; bob
+Packaged: 2017-01-07 14:40:20 UTC; bob
+Author: Bob Rudis [aut, cre],
+  Dave Gandy [aut] (Font Awesome)
 Repository: CRAN
-Date/Publication: 2016-09-18 17:43:46
+Date/Publication: 2017-01-07 15:59:43

## waffle 1.0.2

=== DESCRIPTION ===
Package: waffle
Type: Package
Title: Create Waffle Chart Visualizations
Version: 1.0.2
Date: 2023-09-30
Authors@R: c(
    person("Bob", "Rudis", email = "bob@rud.is", role = c("aut", "cre"), 
           comment = c(ORCID = "0000-0001-5670-2640")),
    person("Dave", "Gandy", role = "aut", comment = "Font Awesome"),
    person("Andrew", "Breza", email = "andrew.breza@gmail.com", role = "ctb"),
    person("Matthias", "Jütte", role = "ctb"),
    person("Paul", "Campbell", email = "pacampbell91@gmail.com", 
           role = "ctb", comment = "geom_bar flip")
    )
Maintainer: Bob Rudis <bob@rud.is>
Description: Square pie charts (a.k.a. waffle charts) can be used
    to communicate parts of a whole for categorical quantities. To emulate the
    percentage view of a pie chart, a 10x10 grid should be used with each square
    representing 1% of the total. Modern uses of waffle charts do not
    necessarily adhere to this rule and can be created with a grid of any
    rectangular shape. Best practices suggest keeping the number of categories
    small, just as should be done when creating pie charts. Tools are provided
    to create waffle charts as well as stitch them together, and to use glyphs
    for making isotype pictograms.
Encoding: UTF-8
Copyright: file inst/COPYRIGHTS
Suggests: knitr, rmarkdown, dplyr, ggthemes
Depends: R (>= 3.5.0), ggplot2 (>= 3.1.0)
License: GPL (>= 2)
Imports: RColorBrewer, grid, gridExtra, gtable, extrafont, curl,
        stringr, stats, htmlwidgets, DT, plyr, rlang, utils
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-09-30 20:08:27 UTC; hrbrmstr
Author: Bob Rudis [aut, cre] (<https://orcid.org/0000-0001-5670-2640>),
  Dave Gandy [aut] (Font Awesome),
  Andrew Breza [ctb],
  Matthias Jütte [ctb],
  Paul Campbell [ctb] (geom_bar flip)
Repository: CRAN
Date/Publication: 2023-09-30 20:30:02 UTC

## waffle 1.4.0

=== CMakeLists.txt ===
# Copyright 2012 Intel Corporation
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# - Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# - Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

project(waffle1 C)

cmake_minimum_required(VERSION 2.8)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")

include(WaffleDefineOS)
include(WaffleFindDependencies)
include(Options.cmake)
include(WaffleDefineInternalOptions)
include(WaffleValidateOptions)
include(WaffleDefineVersion)
include(WaffleDefineCompilerFlags)
include(GNUInstallDirs)

if(waffle_build_tests)
    include(WaffleCMocka)
endif()

find_package(PkgConfig)

# ------------------------------------------------------------------------------
# Targets: check, check-func, valgrind-check, valgrind-check-func
# ------------------------------------------------------------------------------

#
# Target 'check' runs unit tests, but no functional tests.
#
add_custom_target(check)

#
# Target 'check-func' runs functional tests as well as unit tests.
#
# The unit tests are ran first (due to the depenency on 'check'). If any unit
# test fails, then no functional tests run.
#
add_custom_target(check-func
    DEPENDS check
    )

find_program(VALGRIND_EXECUTABLE valgrind)
if(VALGRIND_EXECUTABLE)
    # Runs the 'check' target under valgrind.
    add_custom_target(valgrind-check
        DEPENDS check
        )

    # Runs the 'check-func' target under valgrind.
    add_custom_target(valgrind-check-func
        DEPENDS valgrind-check check-func
        )
endif()

# ------------------------------------------------------------------------------
# Add subdirectories
# ------------------------------------------------------------------------------

if(waffle_on_mac)
    link_libraries(
        ${COCOA_FRAMEWORK}
        ${CORE_FOUNDATION_FRAMEWORK}
        )
endif()

include_directories(
    include
    include/waffle
    src
    )

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(include)
add_subdirectory(man)

if(waffle_build_tests)
    add_subdirectory(tests)
endif()

if(waffle_build_examples)
    add_subdirectory(examples)
endif()

# ------------------------------------------------------------------------------
# Install packaging files: waffle.pc, FindWaffle.cmake
# ------------------------------------------------------------------------------

configure_file(waffle.pc.in ${waffle_libname}.pc @ONLY)

install(
    FILES ${CMAKE_BINARY_DIR}/${waffle_libname}.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
    COMPONENT pkgconfig
    )

install(
    FILES cmake/Modules/FindWaffle.cmake
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/Modules"
    COMPONENT cmakefind
    )

# ------------------------------------------------------------------------------
# Install core documentation
# ------------------------------------------------------------------------------

install(
    FILES
        "README.txt"
        "LICENSE.txt"
        "HACKING.txt"
    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
    COMPONENT coredocs
    )

# ------------------------------------------------------------------------------

include(WafflePrintConfigurationSummary)

=== examples/CMakeLists.txt ===
install(
    FILES
        Makefile.example
        gl_basic.c
        simple-x11-egl.c
    DESTINATION "${CMAKE_INSTALL_DOCDIR}/examples"
    COMPONENT examples
    )

# ----------------------------------------------------------------------------
# Target: simple-x11-egl (executable)
# ----------------------------------------------------------------------------

if(waffle_on_linux)
    add_executable(simple-x11-egl simple-x11-egl.c)
    target_link_libraries(simple-x11-egl ${waffle_libname})
endif()

# ----------------------------------------------------------------------------
# Target: gl_basic (executable)
# ----------------------------------------------------------------------------

add_executable(gl_basic gl_basic.c)
target_link_libraries(gl_basic ${waffle_libname})

if(waffle_on_mac)
    set_target_properties(gl_basic
        PROPERTIES
        COMPILE_FLAGS "-ObjC"
        )
endif()

=== src/utils/CMakeLists.txt ===
# ----------------------------------------------------------------------------
# Target: wflinfo (executable)
# ----------------------------------------------------------------------------

add_executable(wflinfo wflinfo.c)
target_link_libraries(wflinfo ${waffle_libname})
set_target_properties(wflinfo
    PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
        )

if(waffle_on_mac)
    set_target_properties(wflinfo
        PROPERTIES
        COMPILE_FLAGS "-ObjC"
        )
endif()

install(
    TARGETS wflinfo
    DESTINATION ${CMAKE_INSTALL_BINDIR}
    COMPONENT utils
    )

=== src/waffle/CMakeLists.txt ===
# ----------------------------------------------------------------------------
# Applies to all targets in this CMakeLists.
# ----------------------------------------------------------------------------

add_definitions(
    -DWAFFLE_API_VERSION=${waffle_api_version}
    -DWAFFLE_API_EXPERIMENTAL
    )

include_directories(
    android
    api
    cgl
    core
    egl
    glx
    linux
    wayland
    x11
    xegl

    ${egl_INCLUDE_DIRS}
    ${gbm_INCLUDE_DIRS}
    ${gl_INCLUDE_DIRS}
    ${libudev_INCLUDE_DIRS}
    ${wayland-client_INCLUDE_DIRS}
    ${wayland-egl_INCLUDE_DIRS}
    ${x11-xcb_INCLUDE_DIRS}
    )

# ----------------------------------------------------------------------------
# Target: waffle (shared library)
# ----------------------------------------------------------------------------

if(waffle_on_linux)
    if(waffle_has_egl)
        list(APPEND waffle_libdeps
            ${egl_LDFLAGS}
            )
    endif()
    if(waffle_has_glx)
        list(APPEND waffle_libdeps
            ${gl_LDFLAGS}
            )
    endif()
    if(waffle_has_wayland)
        list(APPEND waffle_libdeps
            ${wayland-client_LDFLAGS}
            ${wayland-egl_LDFLAGS}
            )
    endif()
    if(waffle_has_x11)
        list(APPEND waffle_libdeps
            ${x11-xcb_LDFLAGS}
            )
    endif()
    if(waffle_has_gbm)
        list(APPEND waffle_libdeps
            ${gbm_LDFLAGS}
            ${libudev_LDFLAGS}
            )
    endif()
endif()

set(waffle_sources
    api/api_priv.c
    api/waffle_attrib_list.c
    api/waffle_config.c
    api/waffle_context.c
    api/waffle_display.c
    api/waffle_dl.c
    api/waffle_enum.c
    api/waffle_error.c
    api/waffle_gl_misc.c
    api/waffle_init.c
    api/waffle_window.c
    core/wcore_attrib_list.c
    core/wcore_config_attrs.c
    core/wcore_display.c
    core/wcore_error.c
    core/wcore_tinfo.c
    core/wcore_util.c
    )

if(waffle_on_mac)
    list(APPEND waffle_sources
        cgl/cgl_config.m
        cgl/cgl_context.m
        cgl/cgl_display.m
        cgl/cgl_dl.m
        cgl/cgl_error.m
        cgl/cgl_platform.m
        cgl/cgl_window.m
        cgl/WaffleGLView.m
        )
    list(APPEND waffle_libdeps
        ${OPENGL_gl_LIBRARY}
        )
endif()

if(waffle_has_egl)
    list(APPEND waffle_sources
        egl/wegl_config.c
        egl/wegl_context.c
        egl/wegl_display.c
        egl/wegl_util.c
        egl/wegl_window.c
        )
endif()

if(waffle_has_glx)
    list(APPEND waffle_sources
        glx/glx_config.c
        glx/glx_context.c
        glx/glx_display.c
        glx/glx_platform.c
        glx/glx_window.c
        )
endif()

if(waffle_on_linux)
    list(APPEND waffle_sources
        linux/linux_dl.c
        linux/linux_platform.c
        )
    list(APPEND waffle_libdeps
        dl
        pthread
        )
endif()

if(waffle_has_wayland)
    list(APPEND waffle_sources
        wayland/wayland_display.c
        wayland/wayland_platform.c
        wayland/wayland_window.c
    )
endif()

if(waffle_has_x11)
    list(APPEND waffle_sources
        x11/x11_display.c
        x11/x11_window.c
        )
endif()

if(waffle_has_x11_egl)
    list(APPEND waffle_sources
        xegl/xegl_display.c
        xegl/xegl_platform.c
        xegl/xegl_window.c
    )
endif()

if(waffle_has_gbm)
    list(APPEND waffle_sources
        gbm/wgbm_config.c
        gbm/wgbm_display.c
        gbm/wgbm_platform.c
        gbm/wgbm_window.c
    )
endif()

# CMake will pass to the C compiler only C sources. CMake does not recognize the
# .m extension and ignores any such files in the source lists. To coerce CMake
# to pass .m files to the compiler, we must lie and claim that they are
# C sources.
set_source_files_properties(
    ${waffle_sources}
    PROPERTIES
    LANGUAGE C
    COMPILE_FLAGS "-fvisibility=hidden"
    )

include_directories(
    ${GLX_INLCLUDE_DIRS}
    ${X11_INCLUDE_DIRS}
    ${X11-XCB_INCLUDE_DIRS}
    ${XCB_INCLUDE_DIRS}
    )

add_library(${waffle_libname} SHARED ${waffle_sources})
target_link_libraries(${waffle_libname} PRIVATE ${waffle_libdeps})

set_target_properties(${waffle_libname}
    PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib
    SOVERSION ${waffle_soversion}
    VERSION ${waffle_soversion}.${waffle_minor_version}.${waffle_patch_version}
    )

install(
    TARGETS ${waffle_libname}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT libraries
    )

# ----------------------------------------------------------------------------
# Target: waffle_static
# ----------------------------------------------------------------------------

# The unittest executable needs access to waffle's internal symbols. Yet, the
# sources in libwaffle.so are compiled with -fvisibility=hidden.
# One solution is to additionally build a static libwaffle and let the
# unittest executable link to that. Visibility options do not apply to static
# libraries; that is, all symbols are public.

add_library(waffle_static
    STATIC
    EXCLUDE_FROM_ALL
    ${waffle_sources}
    )

target_link_libraries(waffle_static ${waffle_libdeps})

set_target_properties(waffle_static
    PROPERTIES
    OUTPUT_NAME "waffle-${waffle_major_version}"
    ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib"
    )

# ----------------------------------------------------------------------------
# Unit Tests
# ----------------------------------------------------------------------------

function(add_unittest unittest_name)
    if(NOT waffle_build_tests)
        return()
    endif()

    add_executable(${unittest_name} ${ARGN})
    set_target_properties(${unittest_name}
        PROPERTIES
            RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/tests"
    )
    target_link_libraries(${unittest_name}
        cmocka
        waffle_static
    )
    add_custom_target(${unittest_name}_run
        DEPENDS ${unittest_name}
        COMMAND "${CMAKE_BINARY_DIR}/tests/${unittest_name}"
    )
    add_dependencies(check ${unittest_name}_run)

    if(VALGRIND_EXECUTABLE)
        add_custom_target(valgrind_${unittest_name}_run
            DEPENDS ${unittest_name}
            COMMAND ${VALGRIND_EXECUTABLE} $<TARGET_FILE:${unittest_name}>
        )
        add_dependencies(valgrind-check valgrind_${unittest_name}_run)
    endif()
endfunction()

add_unittest(wcore_attrib_list_unittest
    core/wcore_attrib_list_unittest.c
)
add_unittest(wcore_config_attrs_unittest
    core/wcore_config_attrs_unittest.c
)
add_unittest(wcore_error_unittest
    core/wcore_error_unittest.c
)

=== src/waffle_test/CMakeLists.txt ===
include_directories(
    "${CMAKE_SOURCE_DIR}/include/waffle_test"
    "${CMAKE_SOURCE_DIR}/include/waffle_test/priv"
    )

add_library(waffle_test SHARED
    wt_main.c
    wt_runner.c
    wt_test.c
    )

=== tests/functional/CMakeLists.txt ===
link_libraries(
    ${waffle_libname}
    waffle_test
    )

set(gl_basic_test_sources
    gl_basic_test.c
    )

if(waffle_on_mac)
    list(APPEND gl_basic_test_sources
        gl_basic_cocoa.m
        )
endif()

set_source_files_properties(
    ${gl_basic_test_sources}
    PROPERTIES
        COMPILE_FLAGS "-Wno-initializer-overrides"
)

# CMake will pass to the C compiler only C sources. CMake does not recognize the
# .m extension and ignores any such files in the source lists. To coerce CMake
# to pass .m files to the compiler, we must lie and claim that they are
# C sources.
set_source_files_properties(
    ${gl_basic_test_sources}
    PROPERTIES LANGUAGE C
    )

add_executable(gl_basic_test
    ${gl_basic_test_sources}
    )

add_custom_target(gl_basic_test_run
    DEPENDS gl_basic_test
    COMMAND ${CMAKE_BINARY_DIR}/tests/functional/gl_basic_test
    )

add_dependencies(check-func gl_basic_test_run)

if(VALGRIND_EXECUTABLE)
    add_custom_target(valgrind_gl_basic_test_run
        DEPENDS gl_basic_test
        COMMAND ${VALGRIND_EXECUTABLE} $<TARGET_FILE:gl_basic_test>
        )

    add_dependencies(valgrind-check-func valgrind_gl_basic_test_run)
endif()

=== debian/changelog ===
waffle (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 22 Sep 2014 11:16:49 -0700

waffle (1.4.0~rc1-1) unstable; urgency=low

  * New upstream release candidate

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 08 Sep 2014 08:18:01 -0700

waffle (1.3.90-1) unstable; urgency=low

  * Use "non-native" 1.3.90-1 debian version number
  * Added missing include files in dev package. (closes: #748300)

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 15 May 2014 16:51:10 -0700

waffle (1.3.90) unstable; urgency=low

  * Bump version to match waffle's current 1.3.90 version number

 -- Jordan Justen <jordan.l.justen@intel.com>  Sun, 13 Apr 2014 13:20:35 -0700

waffle (1.3.0) unstable; urgency=low

  * Add debian packaging

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 30 Dec 2013 14:50:51 -0800

=== debian/control ===
Source: waffle
Priority: optional
Section: libs
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               docbook-xsl,
               libegl1-mesa-dev | libegl-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgbm-dev,
               libwayland-dev,
               libx11-dev,
               pkg-config,
               xsltproc
Standards-Version: 3.9.5
Homepage: http://www.waffle-gl.org
Vcs-Git: git://github.com/waffle-gl/waffle
Vcs-Browser: https://github.com/waffle-gl/waffle

Package: libwaffle-1-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime

Package: libwaffle-dev
Architecture: any
Section: libdevel
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}
Suggests: libwaffle-doc
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the development environment for compiling
 programs against the waffle library.

Package: libwaffle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the documentation files for the waffle
 library.

Package: waffle-utils
Architecture: any
Section: utils
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Waffle library utilities
 A library for selecting an OpenGL API and window system at runtime
 .
 This package contains waffle utilities.
 * wflinfo: Creates an OpenGL context and prints information about
            the created context.

## waffle 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,16 @@
 
 project(waffle1 C)
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.11)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
+
+# Set the default location for all build artifacts to traditionally named
+# top-level directories.  CMake's default location for build artifacts varies
+# per artifact and is hard-to-guess.
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
 
 include(WaffleDefineOS)
 include(WaffleFindDependencies)
@@ -93,6 +100,20 @@
     src
     )
 
+add_subdirectory(third_party/threads)
+include_directories(
+    third_party/threads
+    )
+set(THREADS_LIBRARIES threads_bundled)
+
+if(MSVC)
+    add_subdirectory(third_party/getopt)
+    include_directories(
+        third_party/getopt
+        )
+    set(GETOPT_LIBRARIES getopt_bundled)
+endif()
+
 add_subdirectory(doc)
 add_subdirectory(src)
 add_subdirectory(include)
@@ -107,7 +128,8 @@
 endif()
 
 # ------------------------------------------------------------------------------
-# Install packaging files: waffle.pc, FindWaffle.cmake
+# Install packaging files: waffle.pc, FindWaffle.cmake,
+# WaffleConfigVersion.cmake, and WaffleConfig.cmake
 # ------------------------------------------------------------------------------
 
 configure_file(waffle.pc.in ${waffle_libname}.pc @ONLY)
@@ -123,6 +145,30 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/Modules"
     COMPONENT cmakefind
     )
+
+set(ConfigPackageLocation "${CMAKE_INSTALL_LIBDIR}/cmake/Waffle")
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(
+    "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfigVersion.cmake"
+    VERSION "${waffle_version}"
+    COMPATIBILITY SameMajorVersion
+)
+
+configure_package_config_file(
+    cmake/Modules/WaffleConfig.cmake.in
+    cmake/Modules/WaffleConfig.cmake
+    INSTALL_DESTINATION "${ConfigPackageLocation}"
+    PATH_VARS CMAKE_INSTALL_LIBDIR CMAKE_INSTALL_INCLUDEDIR
+    NO_CHECK_REQUIRED_COMPONENTS_MACRO
+)
+
+install(
+    FILES
+        "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfigVersion.cmake"
+        "${CMAKE_BINARY_DIR}/cmake/Modules/WaffleConfig.cmake"
+    DESTINATION "${ConfigPackageLocation}"
+    COMPONENT devel
+)
 
 # ------------------------------------------------------------------------------
 # Install core documentation
@@ -140,3 +186,25 @@
 # ------------------------------------------------------------------------------
 
 include(WafflePrintConfigurationSummary)
+
+set (CPACK_SET_DESTDIR ON)
+set (CPACK_PACKAGE_VERSION_MAJOR ${waffle_major_version})
+set (CPACK_PACKAGE_VERSION_MINOR ${waffle_minor_version})
+set (CPACK_PACKAGE_VERSION_PATCH ${waffle_patch_version})
+
+# cpack detects win64 vs win32 only when msvc is available
+# reported upstream, fix (likely post cmake 3.0) pending
+if (MINGW)
+        if (CMAKE_SIZEOF_VOID_P EQUAL 8)
+                set (CPACK_SYSTEM_NAME win64)
+        endif ()
+endif ()
+
+# See http://www.vtk.org/Wiki/CMake:CPackPackageGenerators
+if (WIN32)
+        set (CPACK_GENERATOR "ZIP")
+else ()
+        set (CPACK_GENERATOR "TBZ2")
+endif ()
+
+include(CPack)

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # ----------------------------------------------------------------------------
 
 add_executable(gl_basic gl_basic.c)
-target_link_libraries(gl_basic ${waffle_libname})
+target_link_libraries(gl_basic ${waffle_libname} ${GETOPT_LIBRARIES})
 
 if(waffle_on_mac)
     set_target_properties(gl_basic

=== man/CMakeLists.txt ===
# Copyright 2012 Intel Corporation
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# - Redistributions of source code must retain the above copyright notice, this
#   list of conditions and the following disclaimer.
#
# - Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

set(common_sources
    common/author-chad.versace.xml
    common/copyright.xml
    common/issues.xml
    common/error-codes.xml
    common/legalnotice.xml
    common/return-value.xml
    )

if(waffle_build_manpages)
    include(manpages.cmake)
endif()

if(waffle_build_htmldocs)
    include(html.cmake)
endif()

=== src/CMakeLists.txt ===
if(waffle_build_tests)
    add_subdirectory(waffle_test)
endif()

add_subdirectory(utils)
add_subdirectory(waffle)

=== tests/CMakeLists.txt ===
add_definitions(
    -DWAFFLE_API_VERSION=${waffle_api_version}
    -DWAFFLE_API_EXPERIMENTAL
    )

add_subdirectory(functional)

=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,7 @@
 # ----------------------------------------------------------------------------
 
 add_executable(wflinfo wflinfo.c)
-target_link_libraries(wflinfo ${waffle_libname})
-set_target_properties(wflinfo
-    PROPERTIES
-        RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
-        )
+target_link_libraries(wflinfo ${waffle_libname} ${GETOPT_LIBRARIES})
 
 if(waffle_on_mac)
     set_target_properties(wflinfo

=== src/waffle/CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,14 @@
     glx
     linux
     wayland
+    wgl
     x11
     xegl
 
     ${egl_INCLUDE_DIRS}
     ${gbm_INCLUDE_DIRS}
     ${gl_INCLUDE_DIRS}
+    ${GLEXT_INCLUDE_DIR}
     ${libudev_INCLUDE_DIRS}
     ${wayland-client_INCLUDE_DIRS}
     ${wayland-egl_INCLUDE_DIRS}
@@ -32,17 +34,11 @@
 # Target: waffle (shared library)
 # ----------------------------------------------------------------------------
 
+list(APPEND waffle_libdeps
+    ${THREADS_LIBRARIES}
+    )
+
 if(waffle_on_linux)
-    if(waffle_has_egl)
-        list(APPEND waffle_libdeps
-            ${egl_LDFLAGS}
-            )
-    endif()
-    if(waffle_has_glx)
-        list(APPEND waffle_libdeps
-            ${gl_LDFLAGS}
-            )
-    endif()
     if(waffle_has_wayland)
         list(APPEND waffle_libdeps
             ${wayland-client_LDFLAGS}
@@ -56,7 +52,6 @@
     endif()
     if(waffle_has_gbm)
         list(APPEND waffle_libdeps
-            ${gbm_LDFLAGS}
             ${libudev_LDFLAGS}
             )
     endif()
@@ -103,6 +98,7 @@
         egl/wegl_config.c
         egl/wegl_context.c
         egl/wegl_display.c
+        egl/wegl_platform.c
         egl/wegl_util.c
         egl/wegl_window.c
         )
@@ -159,6 +155,22 @@
         gbm/wgbm_platform.c
         gbm/wgbm_window.c
     )
+endif()
+
+if(waffle_on_windows)
+    list(APPEND waffle_sources
+        wgl/wgl_config.c
+        wgl/wgl_context.c
+        wgl/wgl_display.c
+        wgl/wgl_dl.c
+        wgl/wgl_error.c
+        wgl/wgl_platform.c
+        wgl/wgl_window.c
+        )
+
+    list(APPEND waffle_libdeps
+        opengl32.lib
+        )
 endif()
 
 # CMake will pass to the C compiler only C sources. CMake does not recognize the
@@ -169,8 +181,19 @@
     ${waffle_sources}
     PROPERTIES
     LANGUAGE C
-    COMPILE_FLAGS "-fvisibility=hidden"
-    )
+    )
+
+if(waffle_on_windows)
+    configure_file(
+        waffle.def.in
+        ${CMAKE_CURRENT_SOURCE_DIR}/${waffle_libname}.def
+        @ONLY
+        )
+
+    list(APPEND waffle_sources
+        ${waffle_libname}.def
+        )
+endif()
 
 include_directories(
     ${GLX_INLCLUDE_DIRS}
@@ -180,18 +203,46 @@
     )
 
 add_library(${waffle_libname} SHARED ${waffle_sources})
-target_link_libraries(${waffle_libname} PRIVATE ${waffle_libdeps})
+
+# Debian's packaging system emits warnings if wflinfo directly links to any
+# library that it doesn't directly use. Silence the warnings by annotating
+# libwaffle's library dependencies as private, which prevents wflinfo from
+# linking to them.
+if(CMAKE_VERSION VERSION_LESS "2.8.12")
+    # On older CMake, we must rely on hacking the LINK_INTERFACE_LIBRARIES
+    # property.
+    if(NOT waffle_on_mac)
+        set_target_properties(${waffle_libname}
+            PROPERTIES
+            LINK_INTERFACE_LIBRARIES ""
+            )
+    endif()
+else()
+    # CMake 2.8.12 introduced the PRIVATE keyword to target_link_libraries().
+    # All libraries listed after PRIVATE get annotated as such.
+    list(INSERT waffle_libdeps 0 PRIVATE)
+endif()
+
+target_link_libraries(${waffle_libname} ${waffle_libdeps})
 
 set_target_properties(${waffle_libname}
     PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib
     SOVERSION ${waffle_soversion}
     VERSION ${waffle_soversion}.${waffle_minor_version}.${waffle_patch_version}
     )
 
+if(waffle_on_windows)
+    set_target_properties(${waffle_libname}
+        PROPERTIES
+        PREFIX ""
+    )
+endif()
+
 install(
     TARGETS ${waffle_libname}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     COMPONENT libraries
     )
 
@@ -215,8 +266,7 @@
 
 set_target_properties(waffle_static
     PROPERTIES
-    OUTPUT_NAME "waffle-${waffle_major_version}"
-    ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib"
+    OUTPUT_NAME "waffle-static-${waffle_major_version}"
     )
 
 # ----------------------------------------------------------------------------
@@ -238,8 +288,7 @@
         waffle_static
     )
     add_custom_target(${unittest_name}_run
-        DEPENDS ${unittest_name}
-        COMMAND "${CMAKE_BINARY_DIR}/tests/${unittest_name}"
+        COMMAND "${unittest_name}"
     )
     add_dependencies(check ${unittest_name}_run)

=== src/waffle_test/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     "${CMAKE_SOURCE_DIR}/include/waffle_test/priv"
     )
 
-add_library(waffle_test SHARED
+add_library(waffle_test STATIC
     wt_main.c
     wt_runner.c
     wt_test.c

=== tests/functional/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-link_libraries(
-    ${waffle_libname}
-    waffle_test
-    )
-
 set(gl_basic_test_sources
     gl_basic_test.c
     )
@@ -13,11 +8,13 @@
         )
 endif()
 
-set_source_files_properties(
-    ${gl_basic_test_sources}
-    PROPERTIES
-        COMPILE_FLAGS "-Wno-initializer-overrides"
-)
+if(NOT MSVC)
+    set_source_files_properties(
+        ${gl_basic_test_sources}
+        PROPERTIES
+            COMPILE_FLAGS "-Wno-initializer-overrides"
+    )
+endif()
 
 # CMake will pass to the C compiler only C sources. CMake does not recognize the
 # .m extension and ignores any such files in the source lists. To coerce CMake
@@ -32,9 +29,13 @@
     ${gl_basic_test_sources}
     )
 
+target_link_libraries(gl_basic_test
+    ${waffle_libname}
+    waffle_test
+    )
+
 add_custom_target(gl_basic_test_run
-    DEPENDS gl_basic_test
-    COMMAND ${CMAKE_BINARY_DIR}/tests/functional/gl_basic_test
+    COMMAND gl_basic_test
     )
 
 add_dependencies(check-func gl_basic_test_run)

=== third_party/threads/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR})

if(WIN32)
    set(threads_sources threads_win32.c)
else()
    set(threads_sources threads_posix.c)
endif()

add_library(threads_bundled STATIC EXCLUDE_FROM_ALL ${threads_sources})

set_target_properties(threads_bundled
    PROPERTIES
    # This static library is linked into the shared libwaffle and the latter
    # is PIC enabled thus we'll need to enable it here as well.
    POSITION_INDEPENDENT_CODE ON
    )

install(
    FILES LICENSE
    DESTINATION "${CMAKE_INSTALL_DOCDIR}"
    RENAME LICENSE-threads.txt
    COMPONENT coredocs
)

=== third_party/cmocka/example/CMakeLists.txt ===
project(cmocka-examples C)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_PUBLIC_INCLUDE_DIRS}
)

set_source_files_properties(
    calculator.c
    calculator_test.c
    allocate_module.c
    allocate_module_test.c
    run_tests.c
    PROPERTIES
        COMPILE_FLAGS -DUNIT_TESTING=1)

add_executable(fixture_test fixture_test.c)
target_link_libraries(fixture_test ${CMOCKA_SHARED_LIBRARY})

add_test(fixture_test ${CMAKE_CURRENT_BINARY_DIR}/fixture_test)

add_executable(calculator_test calculator.c calculator_test.c)
target_link_libraries(calculator_test ${CMOCKA_SHARED_LIBRARY})

add_test(calculator_test ${CMAKE_CURRENT_BINARY_DIR}/calculator_test)

add_executable(allocate_module_test allocate_module.c allocate_module_test.c)
target_link_libraries(allocate_module_test ${CMOCKA_SHARED_LIBRARY})

# This is a test that should detect leaks and overflows and will fail for that
add_test(allocate_module_test ${CMAKE_CURRENT_BINARY_DIR}/allocate_module_test)
set_tests_properties(
    allocate_module_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 3 test"
)

add_executable(assert_macro_test assert_macro.c assert_macro_test.c)
target_link_libraries(assert_macro_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_macro_test ${CMAKE_CURRENT_BINARY_DIR}/assert_macro_test)
set_tests_properties(
    assert_macro_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

add_executable(assert_module_test assert_module.c assert_module_test.c)
target_link_libraries(assert_module_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_module_test ${CMAKE_CURRENT_BINARY_DIR}/assert_macro_test)
set_tests_properties(
    assert_module_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

add_executable(customer_database_test customer_database.c customer_database_test.c)
target_link_libraries(customer_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(customer_database_test ${CMAKE_CURRENT_BINARY_DIR}/customer_database_test)

add_executable(key_value_test key_value.c key_value_test.c)
target_link_libraries(key_value_test ${CMOCKA_SHARED_LIBRARY})

add_test(key_value_test ${CMAKE_CURRENT_BINARY_DIR}/key_value_test)

add_executable(product_database_test product_database.c product_database_test.c)
target_link_libraries(product_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(product_database_test ${CMAKE_CURRENT_BINARY_DIR}/product_database_test)
set_tests_properties(
    product_database_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

add_executable(run_tests run_tests.c)
target_link_libraries(run_tests ${CMOCKA_SHARED_LIBRARY})

add_test(run_tests ${CMAKE_CURRENT_BINARY_DIR}/run_tests)

if (${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)")
    add_subdirectory(chef_wrap)
endif()

=== third_party/cmocka/include/CMakeLists.txt ===
project(cmocka-headers C)

set(cmocka_HDRS
  cmocka.h
)

install(
  FILES
    ${cmocka_HDRS}
  DESTINATION
    ${INCLUDE_INSTALL_DIR}
  COMPONENT
    headers
)

=== debian/changelog ===
waffle (1.5.2-4) unstable; urgency=low

  * Add 'Multi-arch: same' for libwaffle-1-0 and libwaffle-dev
  * Move Standards-Version to 4.1.1
  * Change to https url to fix lintian vcs-field-uses-insecure-uri

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 18 Oct 2017 17:07:59 -0700

waffle (1.5.2-3) unstable; urgency=low

  * Add watch file (Closes: #786994).

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 11 Feb 2017 00:58:03 -0800

waffle (1.5.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D: libudev-dev (Closes: #846704).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 14 Dec 2016 22:53:42 +0500

waffle (1.5.2-2) unstable; urgency=low

  * Improve debian package descriptions

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 08 Sep 2015 23:50:31 -0700

waffle (1.5.2-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 25 Aug 2015 14:52:18 -0700

waffle (1.5.1-1) unstable; urgency=low

  * New upstream release
  * Add WaffleConfig*.cmake to libwaffle-dev package

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 22 Jan 2015 12:51:49 -0800

waffle (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 16 Dec 2014 11:06:19 -0800

waffle (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release candidate

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 04 Dec 2014 23:18:00 -0800

waffle (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 09 Dec 2014 16:04:52 -0800

waffle (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 05 Dec 2014 00:02:35 -0800

waffle (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 08 Nov 2014 12:13:54 -0800

=== debian/control ===
Source: waffle
Priority: optional
Section: libs
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               docbook-xsl,
               libegl1-mesa-dev | libegl-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgbm-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               pkg-config,
               xsltproc
Standards-Version: 4.1.1
Homepage: http://www.waffle-gl.org
Vcs-Git: https://github.com/waffle-gl/waffle.git
Vcs-Browser: https://github.com/waffle-gl/waffle

Package: libwaffle-1-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends}
Description: Waffle library (binaries)
 A library for selecting an OpenGL API and window system at runtime

Package: libwaffle-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}
Suggests: libwaffle-doc
Description: Waffle library (development files)
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the development environment for compiling
 programs against the waffle library.

Package: libwaffle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Waffle library (documentation)
 A library for selecting an OpenGL API and window system at runtime
 .
 This package provides the documentation files for the waffle
 library.

Package: waffle-utils
Architecture: any
Section: utils
Depends: libwaffle-1-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Waffle library (utilities)
 A library for selecting an OpenGL API and window system at runtime
 .
 This package contains waffle utilities:
  * wflinfo: Creates an OpenGL context and prints information about
             the created context.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/waffle-gl/waffle/tags .*/v(\d\S*)\.tar\.gz
